package cn.stylefeng.team.form.modular.component.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.form.modular.component.entity.FormComponentCategory;
import cn.stylefeng.team.form.modular.component.pojo.request.FormComponentCategoryRequest;
import cn.stylefeng.team.form.modular.component.pojo.response.SummaryFormComponent;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface FormComponentCategoryService extends IService<FormComponentCategory> {

    void add(FormComponentCategoryRequest formComponentCategoryRequest);

    void del(FormComponentCategoryRequest formComponentCategoryRequest);

    void batchDelete(FormComponentCategoryRequest formComponentCategoryRequest);

    void edit(FormComponentCategoryRequest formComponentCategoryRequest);

    FormComponentCategory detail(FormComponentCategoryRequest formComponentCategoryRequest);

    List<FormComponentCategory> findList(FormComponentCategoryRequest formComponentCategoryRequest);

    SummaryFormComponent findTotalList(FormComponentCategoryRequest formComponentCategoryRequest);

    PageResult<FormComponentCategory> findPage(FormComponentCategoryRequest formComponentCategoryRequest);

}
